<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'sprint-group-view'">
  @if (componentData$ | async; as componentData) {
    <div class="flex full-height full-width neutral-background-color">
      <div class="flex-column full-width">
        <sqtm-core-entity-view-header
          class="full-width content-head p-t-10 p-r-20 m-b-20"
          [attachmentList]="componentData.sprintGroup.attachmentList"
          [entityPath]="componentData.sprintGroup.path"
          (attachmentBadgeClickEvent)="toggleAttachmentPanel()"
          id="sprint-view-header"
        >
          <div projection="actions" class="m-t-10" style="width: 40px">
            <sqtm-core-fold-button></sqtm-core-fold-button>
          </div>
        </sqtm-core-entity-view-header>

        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    sqtmCoreDefaultAnchorLink
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'information'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-generic:information'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div #content class="content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </div>

    <sqtm-core-attachment-drawer
      [canAttach]="
        componentData.permissions.canAttach &&
        componentData.milestonesAllowModification
      "
    >
    </sqtm-core-attachment-drawer>
  }
</sqtm-core-entity-view-wrapper>
